Which Amazon Fire tablets is Osmo compatible with?

Osmo is compatible with the following Amazon Fire tablets only:

  • Amazon Fire 7 (7th Generation, 2017 Release, including kids edition, case removed)
  • Amazon Fire HD 8 (7th Generation, 2017 Release, including kids edition, case removed)
  • Amazon Fire HD 10 (7th Generation, 2017 Release, including kids edition, case removed)
  • Amazon Fire HD 8 (8th Generation, 2018 Release, including kids edition, case removed)
  • Amazon Fire 7 (9th Generation, 2019 Release, including kids edition, case removed)
  • Amazon Fire HD 10 (9th Generation, 2019 Release, including kids edition, case removed) 
  • Amazon Fire HD 8 (10th Generation, May 2020 Release, including kids edition, case removed) ** Must purchase the Osmo Fire Reflector Adapter to accompany this device.

Note that the minimum Fire OS version required is 5.0.

Please note that the new Amazon Fire HD 8, 10th Generation (released in 2020) is currently only compatible with select Osmo games and requires the use of the Osmo Reflector Adapter in order to be compatible with the Osmo Base for Fire. You can find more information about using the Amazon Fire HD 8, 10th Generation with Osmo here. 

If you are unsure which Fire tablet you have, you can find out by going to:
Settings > Device Options.

COMPATIBLE GAMES:

All Osmo games are compatible with Fire tablets *except* MindRacers, which will not become compatible due to a camera hardware constraint on the Fire tablets.

Please note that the Math Wizard games are only compatible with select Amazon Fire tablets. You can find the list of Fire tablets that are compatible with Math Wizard here.

COMPATIBLE GAME PIECES:

All Osmo game pieces (except those for MindRacers) are interchangeable between iPad and Fire tablets.

REQUIRED HARDWARE:

In order to play any Osmo game, the Osmo Fire base & reflector is required. Osmo Fire bases & reflectors are sold on our website and on Amazon.com.

Can’t find your answer in our support center? Contact us directly.